Page MenuHomePhabricator

merge: add tests to show current behavior on failed filemerges
ClosedPublic

Authored by ryanmce on Oct 4 2017, 9:54 AM.

Details

Summary

Currently, failed file merges will nevertheless force the user to continue
attempting to merge all additional unresolved files. Future patches will allow
the user to halt the merge process instead. This patch first introduces a test
demonstrating the current bejhavior so the upcoming changes are more obvious.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ryanmce created this revision.Oct 4 2017, 9:54 AM
krbullock added inline comments.
tests/test-merge-halt.t
25

Why test this with rebase instead of merge?

ryanmce added inline comments.Oct 5 2017, 5:20 AM
tests/test-merge-halt.t
25

That's how I roll. That being said, I'm happy to change it if people feel testing merge would provide more value.

quark added a subscriber: quark.Oct 6 2017, 12:51 AM
quark added inline comments.
tests/test-merge-halt.t
33

Should we have an hg resolve -l here?

37

It feels a bit strange that the text says "works". Maybe use some neutral words like "Testing onfailure=continue", "Testing onfailure=halt", and "Testing onfailure=halt".

ryanmce added inline comments.Oct 6 2017, 6:48 AM
tests/test-merge-halt.t
33

sounds good

37

I like the suggestion. Will follow.

ryanmce marked 4 inline comments as done.Oct 6 2017, 9:17 AM
ryanmce updated this revision to Diff 2499.Oct 6 2017, 9:51 AM
quark set the repository for this revision to rHG Mercurial.EditedOct 7 2017, 1:12 PM
quark accepted this revision.

It seems this revision is not associated with HG callsign somehow. I've added it manually.

I guess you missed phabricator.callsign = HG in .hg/hgrc.

I guess you missed phabricator.callsign = HG in .hg/hgrc.

Yes, that's the case. I've fixed that in my repo.

durin42 accepted this revision.Oct 14 2017, 12:29 AM
This revision is now accepted and ready to land.Oct 14 2017, 12:29 AM
This revision was automatically updated to reflect the committed changes.